Subject: Sasteroids 1.2 Released
From: Brad Pitzel <[email-masked]>
Date: Fri, 13 May 1994 22:10:08 GMT
Newsgroups: comp.os.linux.announce

Hello,

This is to announce the release of Sasteroids v1.2 (source), a svgalib
(not X) asteroids-type game with joystick support. 

I have uploaded it to:
sunsite.unc.edu:/pub/Linux/Incoming/sasteroids1.2-src.tar.gz

where it will probably be moved to:
sunsite.unc.edu:/pub/Linux/games/video/sasteroids1.2-src.tar.gz

and tsx-11.mit.edu where it will probably go in:
/pub/linux/sources/usr.games/sasteroids1.2-src.tar.gz

***
Note: You need gcc 2.5.8, c++ libraries, and svgalib110 (or greater)
to compile this game.  A binary version will be distributed soon.
***

Some of the changes from 1.1 to 1.2

        Added proper keyboard support for game play (using scancodes).
        Press the left arrow key to start rotating left, release the key to
        stop rotating, etc..  Note that you lose vc-switching (ALT-F?)
        during game play.  I'll try to fix this in a future version.

        99% of floating point math replaced with fixed point math. Results
        in a big speed increase on computer's without a FPU.

        A new alien that sort-of morphs from the medium sized asteroid.
        Doesn't shoot, just stumbles around trying to crash into you.  It
        takes a few shots to kill him.

        Changed the movement of the enemy spaceships to be a little more
        evil :-)

        More levels added, and the game play has changed a bit.  Also, the
        shooting alien is a little tougher, but appears less often when the
        screen is filled with asteroids.

        New fonts.

	other stuff too, see the CHANGELOG file in the distribution.

	(no sound yet! I'm working on it :-)

--brad
[email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.